package com.ssm.manage.service.impl;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.impl.BaseServiceImpl;
import com.ssm.manage.dao.SsmSysMuenRoleDao;
import com.ssm.manage.dao.SsmSysPowerDao;
import com.ssm.manage.entity.SysMenu;
import com.ssm.manage.entity.SysMuenRole;
import com.ssm.manage.entity.SysRoleStore;
import com.ssm.manage.query.SysMuenRoleRequest;
import com.ssm.manage.query.SysRoleStoreRequest;
import com.ssm.manage.service.SsmSysMenuService;
import com.ssm.manage.service.SsmSysMuenRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SsmSysMuenRoleServiceImpl  extends BaseServiceImpl<SysMuenRole> implements SsmSysMuenRoleService {

    @Autowired
    SsmSysMuenRoleDao dao;

    @Override
    public SsmSysMuenRoleDao getDao() {
        return dao;
    }

    @Override
    public PageInfo<SysMuenRole> selectPage(SysMuenRole sysStoreRole) {
        return dao.selectPage(sysStoreRole);
    }

    @Override
    public boolean checkRole(SysMuenRole sysStoreRole) {
        return dao.checkRole(sysStoreRole);
    }

    @Override
    public int saveAll(List<SysMuenRole> sysMuenRoles) {
        return dao.saveAll(sysMuenRoles);
    }
}
